TITLE1 "EXAMPLE08.SAS--Paired data T-test";
TITLE2 "two sided CI [L, U], two sided test (H_a: theta_d ^= 0)";
TITLE3 "create .JPEG file containing plot of data";

PROC IML SYMSIZE=4000 WORKSIZE=4000;
%INCLUDE "C:\MRJ\WEBSITE_FILES\CISIZE01.IML" / NOSOURCE2;
LIBNAME INOUT01 "C:\MRJ\WEBSITE_FILES\DATA\";
FILENAME OUT01 "C:\MRJ\WEBSITE_FILES\PLOTS\EXAMPLE08.JPEG";

ALPHA={0.05};
ESSENCEX={1};
REPN=DO(5,100,1);

C={1};
BETA={1}; BETASCAL={0.0625};
U={1};

SIGMA=I(1); SIGSCAL={0.012};
DELTA={1}; DELTSCAL={0.125};
THETA0={0};

EVENTS={"WARGV" "WGV" "WIDTH" "REJECT"};
RUN PREVENT;

*Next 2 lines creates a SAS data file in a specified library;
CREATE INOUT01.EXAMPLE08 FROM _HOLDPR_[COLNAME=_PRNM_];
APPEND FROM _HOLDPR_;
* sorted BY SIGSCAL BETASCAL DELTSCAL TOTAL_N ALPHA;
*End of IML code;

*Start of plot code;
SYMBOL1 I=SPLINE V=NONE L=1 W=5 COLOR=RED;

AXIS1 ORDER=(0 TO 1 BY 0.2) WIDTH=3 MINOR=NONE MAJOR=(W=3);
AXIS2 ORDER=(5 TO 50 BY 10) WIDTH=3 MINOR=NONE MAJOR=(W=3);

GOPTIONS DISPLAY GSFMODE=REPLACE
         DEVICE=JPEG TARGETDEVICE=PSLEPSFC 
         CBACK=WHITE  COLORS=(BLACK)
         HSIZE=6. IN   VSIZE=3.0 IN
         HTEXT=.16666 IN  HTITLE=.16666 IN  HBY=.16666 IN
         FTEXT="TRIPLEX" FTITLE=TRIPLEX  FBY=TRIPLEX
         HORIGIN=0 IN  VORIGIN=0 IN;

GOPTIONS GSFNAME=OUT01;
PROC GPLOT DATA=INOUT01.EXAMPLE08;
     PLOT WARGV*TOTAL_N / NOFRAME 
          VZERO VAXIS=AXIS1
          HZERO HAXIS=AXIS2; 
LABEL TOTAL_N  = "Total sample size"
      WARGV    = "Pr{ }";
TITLE;
RUN; QUIT; RUN;